OpenGL-2.13.1.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.DisplayLists

Contents

- Defining Display Lists
- Calling Display Lists

Description

This module corresponds to section 5.4 (Display Lists) of the OpenGL 2.1 specs.

Synopsis

- newtype DisplayList = DisplayList GLuint
- data ListMode
  - = Compile
  - | CompileAndExecute
- defineList :: DisplayList -> ListMode -> IO a -> IO a
- defineNewList :: ListMode -> IO a -> IO DisplayList
- listIndex :: GettableStateVar (Maybe DisplayList)
- listMode :: GettableStateVar ListMode
- maxListNesting :: GettableStateVar GLsizei
- callList :: DisplayList -> IO ()
- callLists :: GLsizei -> DataType -> Ptr a -> IO ()
- listBase :: StateVar DisplayList

# Defining Display Lists

newtype DisplayList

Constructors

DisplayList GLuint |

Instances

Eq DisplayList |
Ord DisplayList |
Show DisplayList |
ObjectName DisplayList |
GeneratableObjectName DisplayList |
CanBeLabeled DisplayList |

data ListMode

Constructors

Compile |
CompileAndExecute |

Instances

Eq ListMode |
Ord ListMode |
Show ListMode |

defineList :: DisplayList -> ListMode -> IO a -> IO a

defineNewList :: ListMode -> IO a -> IO DisplayList

listIndex :: GettableStateVar (Maybe DisplayList)

listMode :: GettableStateVar ListMode

maxListNesting :: GettableStateVar GLsizei

# Calling Display Lists

callList :: DisplayList -> IO ()

callLists :: GLsizei -> DataType -> Ptr a -> IO ()

listBase :: StateVar DisplayList